/*
 * IDL Compiler
 *
 * Copyright 2002 Ove Kaaven
 */

#ifndef __WIDL_PARSER_H
#define __WIDL_PARSER_H

int yyparse(void);

extern FILE *yyin;
extern char *yytext;
extern int yydebug;
extern int yy_flex_debug;

int yylex(void);

extern int import_stack_ptr;
int do_import(char *fname);
void abort_import(void);

#define parse_only import_stack_ptr

int is_type(const char *name);

#endif
